<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.ss.formula.ptg (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.ss.formula.ptg (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/ptg/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.ss.formula.ptg" class="title">Uses of Package<br>org.apache.poi.ss.formula.ptg
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates</a>
                    </td>
                    <td class="colLast">
                        <div class="block">record aggregates are not real "records" but collections of records that act
                            as a single record.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.cf">org.apache.poi.hssf.record.cf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="#org.apache.poi.hssf.record.chart">org.apache.poi.hssf.record.chart</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.ptg">org.apache.poi.ss.formula.ptg</a></td>
                    <td class="colLast">
                        <div class="block">formula package contains binary PTG structures used in Formulas</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NameXPtg.html#org.apache.poi.hssf.model">NameXPtg</a>
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.hssf.model">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.hssf.record">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record.aggregates">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.hssf.record.aggregates">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record.cf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/hssf/record/cf/package-summary.html">org.apache.poi.hssf.record.cf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.hssf.record.cf">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record.chart">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/hssf/record/chart/package-summary.html">org.apache.poi.hssf.record.chart</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.hssf.record.chart">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NamePtg.html#org.apache.poi.hssf.usermodel">NamePtg</a>
                        <div class="block">See the spec at 2.5.198.76 PtgName</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NameXPtg.html#org.apache.poi.hssf.usermodel">NameXPtg</a>
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.hssf.usermodel">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Area3DPtg.html#org.apache.poi.ss.formula">Area3DPtg</a>
                        <div class="block">Title: Area 3D Ptg - 3D reference (Sheet + Area)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Area3DPxg.html#org.apache.poi.ss.formula">Area3DPxg</a>
                        <div class="block">Title: XSSF Area 3D Reference (Sheet + Area)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/AreaI.html#org.apache.poi.ss.formula">AreaI</a>
                        <div class="block">Common interface for AreaPtg and Area3DPtg, and their child classes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NamePtg.html#org.apache.poi.ss.formula">NamePtg</a>
                        <div class="block">See the spec at 2.5.198.76 PtgName</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NameXPtg.html#org.apache.poi.ss.formula">NameXPtg</a>
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NameXPxg.html#org.apache.poi.ss.formula">NameXPxg</a>
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.ss.formula">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ref3DPtg.html#org.apache.poi.ss.formula">Ref3DPtg</a>
                        <div class="block">Title: Reference 3D Ptg</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ref3DPxg.html#org.apache.poi.ss.formula">Ref3DPxg</a>
                        <div class="block">Title: XSSF 3D Reference</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.eval">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/eval/package-summary.html">org.apache.poi.ss.formula.eval</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/AreaI.html#org.apache.poi.ss.formula.eval">AreaI</a>
                        <div class="block">Common interface for AreaPtg and Area3DPtg, and their child classes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.ss.formula.eval">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.ptg">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/AbstractFunctionPtg.html#org.apache.poi.ss.formula.ptg">AbstractFunctionPtg</a>
                        <div class="block">This class provides the base functionality for Excel sheet functions
                            There are two kinds of function Ptgs - tFunc and tFuncVar
                            Therefore, this class will have ONLY two subclasses
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Area2DPtgBase.html#org.apache.poi.ss.formula.ptg">Area2DPtgBase</a>
                        <div class="block">Common superclass of 2-D area refs</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/AreaI.html#org.apache.poi.ss.formula.ptg">AreaI</a>
                        <div class="block">Common interface for AreaPtg and Area3DPtg, and their child classes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/AreaPtgBase.html#org.apache.poi.ss.formula.ptg">AreaPtgBase</a>
                        <div class="block">Specifies a rectangular area of cells A1:A4 for instance.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/AttrPtg.html#org.apache.poi.ss.formula.ptg">AttrPtg</a>
                        <div class="block">"Special Attributes"
                            This seems to be a Misc Stuff and Junk record.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/BoolPtg.html#org.apache.poi.ss.formula.ptg">BoolPtg</a>
                        <div class="block">Boolean (boolean) Stores a (java) boolean value in a formula.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/ControlPtg.html#org.apache.poi.ss.formula.ptg">ControlPtg</a>
                        <div class="block">Common superclass for
                            tExp
                            tTbl
                            tParen
                            tNlr
                            tAttr
                            tSheet
                            tEndSheet
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/ErrPtg.html#org.apache.poi.ss.formula.ptg">ErrPtg</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/FuncPtg.html#org.apache.poi.ss.formula.ptg">FuncPtg</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/FuncVarPtg.html#org.apache.poi.ss.formula.ptg">FuncVarPtg</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/OperandPtg.html#org.apache.poi.ss.formula.ptg">OperandPtg</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/OperationPtg.html#org.apache.poi.ss.formula.ptg">OperationPtg</a>
                        <div class="block">defines a Ptg that is an operation instead of an operand</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.ss.formula.ptg">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Pxg.html#org.apache.poi.ss.formula.ptg">Pxg</a>
                        <div class="block">An XSSF only special kind of Ptg, which stores the sheet / book
                            reference in string form.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Pxg3D.html#org.apache.poi.ss.formula.ptg">Pxg3D</a>
                        <div class="block">An XSSF only special kind of Ptg, which stores a range of
                            sheet / book references in string form.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/RefPtgBase.html#org.apache.poi.ss.formula.ptg">RefPtgBase</a>
                        <div class="block">ReferencePtgBase - handles references (such as A1, A2, IA4)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/ScalarConstantPtg.html#org.apache.poi.ss.formula.ptg">ScalarConstantPtg</a>
                        <div class="block">Common superclass of all <a
                                href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>s that represent
                            simple constant values.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/ValueOperatorPtg.html#org.apache.poi.ss.formula.ptg">ValueOperatorPtg</a>
                        <div class="block">Common superclass of all value operators.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.ss.usermodel">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.streaming">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.xssf.streaming">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a> used by <a
                        href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NamePtg.html#org.apache.poi.xssf.usermodel">NamePtg</a>
                        <div class="block">See the spec at 2.5.198.76 PtgName</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NameXPtg.html#org.apache.poi.xssf.usermodel">NameXPtg</a>
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/NameXPxg.html#org.apache.poi.xssf.usermodel">NameXPxg</a>
                        <div class="block">A Name, be that a Named Range or a Function / User Defined
                            Function, addressed in the HSSF External Sheet style.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/ss/formula/ptg/class-use/Ptg.html#org.apache.poi.xssf.usermodel">Ptg</a>
                        <div class="block"><tt>Ptg</tt> represents a syntactic token in a formula.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/ptg/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
